7 de jul de 2009

Básico Ubuntu: Adicionar repositórios

Umas das coisas mais básicas a saber do Ubuntu é a adição de repositórios extras.
O repositórios, pra nós do debian/Ubuntu, é um servidor dedicado a determinada distribuição onde contém programas e bibliotecas compatíveis para fazer download de forma segura. A grande vantagem disso é a segurança e praticidade.
Os repositórios oficiais tem uma chave de segurança para elevar o nível de segurança dos downloads.
Exemplo de link de um repositório:
deb http://download.virtualbox.org/virtualbox/debian jaunty non-free
# Adicionando repositórios de forma gráfica:

Vá em sistema - administração - canais de software. Então coloque sua senha e ele abrirá a tela a seguir:

Clique em adicionar e aparecerá esta tela:

Adicione a linha do repositório aqui e clique em adicionar canal. Depois na próxima tela, clique na aba autenticação para importar a chave previamente salva do repositório:

Depois precisará importar a chave de autenticação na aba "autenticação":

Depois é só clicar em fechar que os repositórios se atualizarão.


# Instalando a partir da linha de comando:

Abra o terminal e digite:
sudo gedit /etc/apt/sources.list
Adicione à última linha do arquivo o link do repositório.
Linhas com "#" no início, não são consideradas, portanto pode usar isso para inserir comentários para lembrar-se por exemplo, a qual programa pertence o link do repositório.

Salve e feche o arquivo. Digite:
sudo apt-get update

Ele pode dar um erro, provavelmente solicitando a chave.
Lendo Lista de Pacotes... Pronto W: GPG error: ftp://ftp.nerim.net etch Release: As assinaturas a seguir não puderam ser verificadas devido a chave pública não estar disponível : NO_PUBKEY
4F191A5A8844C542
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos.

Execute essa linha de comando para importar a chave:
gpg --keyserver hkp://subkeys.pgp.net --recv-keys 4F191A5A8844C542
sudo gpg --export --armor "4F191A5A8844C542" | sudo apt-key add -
sudo apt-get update

O código em negrito é o que você deve copiar do erro do apt-get update e colar neste comando.

Um detalhe. Ás vezes o blogger altera os hífens ("-") por um outro traço que não é reconhecido pelo terminal, então o comando não é reconhecido.